import { FormBuilder, FormGroup, AbstractControl } from '@angular/forms';
import { IFormSettings } from './models';
import { IFormArrayFn, IFormControlFn, IFormGroupFn } from './models/helper.interface';
export declare class AutomaticFormBuilder {
    array: IFormArrayFn;
    control: IFormControlFn;
    group: IFormGroupFn;
    constructor(formbuilder: FormBuilder);
    setupForm(options: IFormSettings): FormGroup;
    setupGroup(form: FormGroup, options: IFormSettings): void;
    isObject(value: any): boolean;
    isValidValue(val: any): boolean;
    _reduceControls(controlsConfig: {
        [k: string]: any;
    }): {
        [key: string]: AbstractControl;
    };
    _createControl(controlConfig: any): AbstractControl;
}
